PAPI_address_map_t(3)

NAME
PAPI_address_map_t - get the executable's address space info

SYNOPSIS

#include <papi.h>

  Data Fields

char name [1024]
vptr_t text_start
vptr_t text_end
vptr_t data_start
vptr_t data_end
vptr_t bss_start
vptr_t bss_end

Field Documentation

  vptr_t PAPI_address_map_t::bss_end
End address of program bss segment

  vptr_t PAPI_address_map_t::bss_start
Start address of program bss segment

  vptr_t PAPI_address_map_t::data_end
End address of program data segment

  vptr_t PAPI_address_map_t::data_start
Start address of program data segment

  vptr_t PAPI_address_map_t::text_end
End address of program text segment

  vptr_t PAPI_address_map_t::text_start
Start address of program text segment

Author

Generated automatically by Doxygen for PAPI from the source code.